Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyClassDocAssembler

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyClassDocAssembler

- All Implemented Interfaces and Traits:
    GroovyTokenTypes

      public class SimpleGroovyClassDocAssembler
      extends VisitorAdapter

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyClassDocAssembler (String packagePath, String file, SourceBuffer sourceBuffer, List<LinkArgument> links, Properties properties, boolean isGroovy)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Map<String, GroovyClassDoc>` | `getGroovyClassDocs()`
    `` | `GroovySourceAST` | `pop()`
    `` | `void` | `push(GroovySourceAST t)`
    `` | `void` | `visitAnnotationDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitAnnotationFieldDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitAssign(GroovySourceAST t, int visit)`
    `` | `void` | `visitClassDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitCtorIdent(GroovySourceAST t, int visit)`
    `` | `void` | `visitEnumConstantDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitEnumDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitExtendsClause(GroovySourceAST t, int visit)`
    `` | `void` | `visitImplementsClause(GroovySourceAST t, int visit)`
    `` | `void` | `visitImport(GroovySourceAST t, int visit)`
    `` | `void` | `visitInterfaceDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitMethodCall(GroovySourceAST t, int visit)`
    `` | `void` | `visitMethodDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitPackageDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitTraitDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitVariableDef(GroovySourceAST t, int visit)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class VisitorAdapter` | `pop, push, setUp, tearDown, visitAbstract, visitAnnotation, visitAnnotationArrayInit, visitAnnotationDef, visitAnnotationFieldDef, visitAnnotationMemberValuePair, visitAnnotations, visitArrayDeclarator, visitAssign, visitAt, visitBand, visitBandAssign, visitBigSuffix, visitBlock, visitBnot, visitBor, visitBorAssign, visitBsr, visitBsrAssign, visitBxor, visitBxorAssign, visitCaseGroup, visitClassDef, visitClosedBlock, visitClosureList, visitClosureOp, visitColon, visitComma, visitCompareTo, visitCtorCall, visitCtorIdent, visitDec, visitDefault, visitDigit, visitDiv, visitDivAssign, visitDollar, visitDot, visitDynamicMember, visitElist, visitEmptyStat, visitEnumConstantDef, visitEnumDef, visitEof, visitEqual, visitEsc, visitExponent, visitExpr, visitExtendsClause, visitFinal, visitFloatSuffix, visitForCondition, visitForEachClause, visitForInIterable, visitForInit, visitForIterator, visitGe, visitGt, visitHexDigit, visitIdent, visitImplementsClause, visitImplicitParameters, visitImport, visitInc, visitIndexOp, visitInstanceInit, visitInterfaceDef, visitLabeledArg, visitLabeledStat, visitLand, visitLbrack, visitLcurly, visitLe, visitLetter, visitListConstructor, visitLiteralAs, visitLiteralAssert, visitLiteralBoolean, visitLiteralBreak, visitLiteralByte, visitLiteralCase, visitLiteralCatch, visitLiteralChar, visitLiteralClass, visitLiteralContinue, visitLiteralDef, visitLiteralDefault, visitLiteralDouble, visitLiteralElse, visitLiteralEnum, visitLiteralExtends, visitLiteralFalse, visitLiteralFinally, visitLiteralFloat, visitLiteralFor, visitLiteralIf, visitLiteralImplements, visitLiteralImport, visitLiteralIn, visitLiteralInstanceof, visitLiteralInt, visitLiteralInterface, visitLiteralLong, visitLiteralNative, visitLiteralNew, visitLiteralNull, visitLiteralPackage, visitLiteralPrivate, visitLiteralProtected, visitLiteralPublic, visitLiteralReturn, visitLiteralShort, visitLiteralStatic, visitLiteralSuper, visitLiteralSwitch, visitLiteralSynchronized, visitLiteralThis, visitLiteralThreadsafe, visitLiteralThrow, visitLiteralThrows, visitLiteralTransient, visitLiteralTrue, visitLiteralTry, visitLiteralVoid, visitLiteralVolatile, visitLiteralWhile, visitLnot, visitLor, visitLparen, visitLt, visitMapConstructor, visitMemberPointer, visitMethodCall, visitMethodDef, visitMinus, visitMinusAssign, visitMlComment, visitMod, visitModAssign, visitModifiers, visitMultiCatch, visitMultiCatchTypes, visitNls, visitNotEqual, visitNullTreeLookahead, visitNumBigDecimal, visitNumBigInt, visitNumDouble, visitNumFloat, visitNumInt, visitNumLong, visitObjblock, visitOneNl, visitOptionalDot, visitPackageDef, visitParameterDef, visitParameters, visitPlus, visitPlusAssign, visitPostDec, visitPostInc, visitQuestion, visitRangeExclusive, visitRangeInclusive, visitRbrack, visitRcurly, visitRegexFind, visitRegexMatch, visitRegexpCtorEnd, visitRegexpLiteral, visitRegexpSymbol, visitRparen, visitSelectSlot, visitSemi, visitShComment, visitSl, visitSlAssign, visitSlComment, visitSlist, visitSpreadArg, visitSpreadDot, visitSpreadMapArg, visitSr, visitSrAssign, visitStar, visitStarAssign, visitStarStar, visitStarStarAssign, visitStaticImport, visitStaticInit, visitStrictfp, visitStringCh, visitStringConstructor, visitStringCtorEnd, visitStringCtorMiddle, visitStringCtorStart, visitStringLiteral, visitStringNl, visitSuperCtorCall, visitTraitDef, visitTripleDot, visitType, visitTypeArgument, visitTypeArguments, visitTypeLowerBounds, visitTypeParameter, visitTypeParameters, visitTypeUpperBounds, visitTypecast, visitUnaryMinus, visitUnaryPlus, visitUnusedConst, visitUnusedDo, visitUnusedGoto, visitVariableDef, visitVariableParameterDef, visitVocab, visitWildcardType, visitWs`

- - ### Constructor Detail

    - #### public SimpleGroovyClassDocAssembler(String packagePath, String file, SourceBuffer sourceBuffer, List<LinkArgument> links, Properties properties, boolean isGroovy)

  - ### Method Detail

    - #### public Map<String, GroovyClassDoc> getGroovyClassDocs()

    - #### public GroovySourceAST pop()

    - #### public void push(GroovySourceAST t)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitAnnotationDef(GroovySourceAST t, int visit)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitAnnotationFieldDef(GroovySourceAST t, int visit)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitAssign(GroovySourceAST t, int visit)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitClassDef(GroovySourceAST t, int visit)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitCtorIdent(GroovySourceAST t, int visit)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitEnumConstantDef(GroovySourceAST t, int visit)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitEnumDef(GroovySourceAST t, int visit)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitExtendsClause(GroovySourceAST t, int visit)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitImplementsClause(GroovySourceAST t, int visit)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitImport(GroovySourceAST t, int visit)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitInterfaceDef(GroovySourceAST t, int visit)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitMethodCall(GroovySourceAST t, int visit)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitMethodDef(GroovySourceAST t, int visit)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitPackageDef(GroovySourceAST t, int visit)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitTraitDef(GroovySourceAST t, int visit)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitVariableDef(GroovySourceAST t, int visit)